ENT.Base = "sent_sakarias_scar_base"
ENT.Type = "anim"

ENT.PrintName = "2012 Lamborghini Aventador LP700-4"
ENT.Author = "TiggoRech"
ENT.Category = "TiggoRech's Cars"
ENT.Information = ""
ENT.AdminOnly = false
ENT.Spawnable = false
ENT.AdminSpawnable = false

ENT.AddSpawnHeight = 5
ENT.ViewDist = 200
ENT.ViewDistUp = 10

ENT.NrOfSeats = 2
ENT.NrOfWheels = 4
ENT.NrOfExhausts = 3
ENT.NrOfFrontLights = 2
ENT.NrOfRearLights = 4

ENT.SeatPos = {}
ENT.WheelInfo = {}
ENT.ExhaustPos = {}
ENT.FrontLightsPos = {}
ENT.RearLightsPos = {}

ENT.effectPos = NULL

ENT.DefaultSoftnesFront =15
ENT.DefaultSoftnesRear =15

ENT.CarMass =600
ENT.StabiliserOffset = NULL
ENT.StabilisationMultiplier = 70

ENT.DefaultSound = "vehicles/APC/apc_cruise_loop3.wav"
ENT.EngineEffectName = "Turbo"
ENT.HornSound = "SCarHorns/horn 4.wav"

ENT.CarModel = "models/tiggomods/vehicles/12lambavent.mdl"
ENT.TireModel = "models/tiggomods/vehicles/12lambaventw.mdl"
ENT.AnimType = 1

ENT.FrontLightColor = "220 220 160"
------------------------------------VARIABLES END

for i = 1, ENT.NrOfWheels do
	ENT.WheelInfo[i] = {}
end

local xPos = 0
local yPos = 0
local zPos = 0

//SEAT POSITIONS
--Seat Position 1
xPos = -6.3000001907349
yPos = -15.89999961853
zPos = -22.799999237061
ENT.SeatPos[1] = Vector(xPos, yPos, zPos)

--Seat Position 2
xPos = -6.3000001907349
yPos = 21.799999237061
zPos = -22.799999237061
ENT.SeatPos[2] = Vector(xPos, yPos, zPos)

//WHEEL POSITIONS
--Wheel Position 1
xPos = 55.599998474121
yPos = 47.400001525879
zPos = -21
ENT.WheelInfo[1].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[1].Side = true
ENT.WheelInfo[1].Torq = false
ENT.WheelInfo[1].Steer = 1

--Wheel Position 2
xPos = 55.599998474121
yPos = -41.5
zPos = -21
ENT.WheelInfo[2].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[2].Side = false
ENT.WheelInfo[2].Torq = false
ENT.WheelInfo[2].Steer = 1

--Wheel Position 3
xPos = -80.699996948242
yPos = 49.099998474121
zPos = -21
ENT.WheelInfo[3].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[3].Side = true
ENT.WheelInfo[3].Torq = true
ENT.WheelInfo[3].Steer = 0

--Wheel Position 4
xPos = -80.699996948242
yPos = -43.299999237061
zPos = -21
ENT.WheelInfo[4].Pos = Vector(xPos, yPos, zPos)
ENT.WheelInfo[4].Side = false
ENT.WheelInfo[4].Torq = true
ENT.WheelInfo[4].Steer = 0

//FRONT LIGHT POSITIONS
--Front light 1
xPos = 84
yPos = -32.900001525879
zPos = -4.3000001907349
ENT.FrontLightsPos[1] = Vector(xPos, yPos, zPos)

--Front light 2
xPos = 84
yPos = 38.700000762939
zPos = -4.3000001907349
ENT.FrontLightsPos[2] = Vector(xPos, yPos, zPos)

//REAR LIGHT POSITIONS
--Rear light 1
xPos = -113.19999694824
yPos = -34.799999237061
zPos = 3.9000000953674
ENT.RearLightsPos[1] = Vector(xPos, yPos, zPos)

--Rear light 2
xPos = -118.19999694824
yPos = -25.799999237061
zPos = 3.9000000953674
ENT.RearLightsPos[2] = Vector(xPos, yPos, zPos)

--Rear light 3
xPos = -118.19999694824
yPos = 32.099998474121
zPos = 3.9000000953674
ENT.RearLightsPos[3] = Vector(xPos, yPos, zPos)

--Rear light 4
xPos = -113.19999694824
yPos = 40.799999237061
zPos = 3.9000000953674
ENT.RearLightsPos[4] = Vector(xPos, yPos, zPos)

//EXHAUST POSITIONS
--Exhaust 1
xPos = -124.59999847412
yPos = -2.7000000476837
zPos = -16.60000038147
ENT.ExhaustPos[1] = Vector(xPos, yPos, zPos)

--Exhaust 2
xPos = -124.59999847412
yPos = 2.9000000953674
zPos = -16.60000038147
ENT.ExhaustPos[2] = Vector(xPos, yPos, zPos)

--Exhaust 3
xPos = -124.59999847412
yPos = 8.6000003814697
zPos = -16.60000038147
ENT.ExhaustPos[3] = Vector(xPos, yPos, zPos)

//EFFECT POSITION
xPos = 82.199996948242
yPos = -0
zPos = -2.2000000476837
ENT.effectPos = Vector(xPos, yPos, zPos)

//CAR CHARACTERISTICS
ENT.DefaultAcceleration = 3000
ENT.DefaultMaxSpeed = 1500
ENT.DefaultTurboEffect = 2
ENT.DefaultTurboDuration = 4
ENT.DefaultTurboDelay = 10
ENT.DefaultReverseForce = 1000
ENT.DefaultReverseMaxSpeed = 200
ENT.DefaultBreakForce = 4049.3999023438
ENT.DefaultSteerForce = 5
ENT.DefautlSteerResponse = 0.30000001192093
ENT.DefaultStabilisation = 2000
ENT.DefaultNrOfGears = 5
ENT.DefaultAntiSlide = 100
ENT.DefaultAutoStraighten = 15
ENT.DeafultSuspensionAddHeight = 10
ENT.DefaultHydraulicActive = 0

SCarRegister:AddCar( ENT )

function ENT:Initialize()
		
	self:Setup()

	if (SERVER) then
		--Setting up the car characteristics
		self:SetAcceleration( self.DefaultAcceleration )
		self:SetMaxSpeed( self.DefaultMaxSpeed )
		
		self:SetTurboEffect( self.DefaultTurboEffect )
		self:SetTurboDuration( self.DefaultTurboDuration )
		self:SetTurboDelay( self.DefaultTurboDelay )
		
		self:SetReverseForce( self.DefaultReverseForce )
		self:SetReverseMaxSpeed( self.DefaultReverseMaxSpeed )
		self:SetBreakForce( self.DefaultBreakForce )
		
		self:SetSteerForce( self.DefaultSteerForce )
		self:SetSteerResponse( self.DefautlSteerResponse )
		
		self:SetStabilisation( self.DefaultStabilisation )
		self:SetNrOfGears( self.DefaultNrOfGears )
		self:SetAntiSlide( self.DefaultAntiSlide )
		self:SetAutoStraighten( self.DefaultAutoStraighten )	
		
		self:SetSuspensionAddHeight( self.DeafultSuspensionAddHeight )
		self:SetHydraulicActive( self.DefaultHydraulicActive )
	end
end

function ENT:SpecialThink()
end

function ENT:SpecialRemove()	
end

function ENT:SpecialReposition()
end